Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056070 - crashed Eclipse / oxygen-gtk / KDE
Summary: crashed Eclipse / oxygen-gtk / KDE
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 13:49 UTC by Harald Reindl
Modified: 2015-06-29 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:37:48 UTC


Attachments (Terms of Use)
Crash Report (deleted)
2014-01-30 12:54 UTC, Sudhir Khanger
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 329814 None None None Never

Description Harald Reindl 2014-01-21 13:49:28 UTC
can someone please look at this bugreport
https://bugzilla.redhat.com/show_bug.cgi?id=1053565#c5

i am not entirely sure that oxygen-gtk alone is responsible for that

# Problematic frame:
# C  [libgobject-2.0.so.0+0x19b48]  g_object_get_qdata+0x18
# The crash happened outside the Java Virtual Machine in native code.

Comment 1 Sudhir Khanger 2014-01-30 12:53:50 UTC
I am too experience this bug. Two workarounds have been suggested.

1. Change gtk theme to anything other than oxygen-gtk.
2. Use GTK2_RC_FILES=/point/to/any/other/theme

Workaround 1 works but not 2.

Following errors are oxygen-gtk theme enabled.

./eclipse

Picked up _JAVA_OPTIONS: -Dawt.useSystemAAFontSettings=on -Dswing.aatext=true -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x000000310d219b48, pid=29854, tid=140573609948928
#
# JRE version: Java(TM) SE Runtime Environment (7.0_45-b18) (build 1.7.0_45-b18)
# Java VM: Java HotSpot(TM) 64-Bit Server VM (24.45-b08 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x19b48]  g_object_get_qdata+0x18
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/donnie/Documents/Android/eclipse/hs_err_pid29854.log
Compiled method (nm)   21270 1252     n       org.eclipse.swt.internal.gtk.OS::_g_object_get_qdata (native)
 total in heap  [0x00007fd9d0b98910,0x00007fd9d0b98c90] = 896
 relocation     [0x00007fd9d0b98a30,0x00007fd9d0b98a90] = 96
 main code      [0x00007fd9d0b98aa0,0x00007fd9d0b98c90] = 496
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#


GTK2_RC_FILES=/usr/share/themes/Raleigh/gtk-2.0/gtkrc ./eclipse
Picked up _JAVA_OPTIONS: -Dawt.useSystemAAFontSettings=on -Dswing.aatext=true -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x000000310d219b48, pid=31681, tid=140555848296192
#
# JRE version: Java(TM) SE Runtime Environment (7.0_45-b18) (build 1.7.0_45-b18)
# Java VM: Java HotSpot(TM) 64-Bit Server VM (24.45-b08 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x19b48]  g_object_get_qdata+0x18
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/donnie/Documents/Android/eclipse/hs_err_pid31681.log
Compiled method (nm)   17830 1212     n       org.eclipse.swt.internal.gtk.OS::_g_object_get_qdata (native)
 total in heap  [0x00007fd5ad3ecb10,0x00007fd5ad3ece90] = 896
 relocation     [0x00007fd5ad3ecc30,0x00007fd5ad3ecc90] = 96                                                                                                       
 main code      [0x00007fd5ad3ecca0,0x00007fd5ad3ece90] = 496                                                                                                      
#                                                                                                                                                                  
# If you would like to submit a bug report, please visit:                                                                                                          
#   http://bugreport.sun.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#


Ubuntu bug - https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1241101
Eclipse bug - https://bugs.eclipse.org/bugs/show_bug.cgi?id=419729

Comment 2 Sudhir Khanger 2014-01-30 12:54:47 UTC
Created attachment 857463 [details]
Crash Report

Comment 3 Harald Reindl 2014-01-30 13:03:47 UTC
my workaround for now is taking my "gtkrc-2.0" added some settings from oxygen-gtk to make it not that terrible ugly which is geneal fine and historical, without that config i even without oxygen-gtk installed face random force-close but not that much as with oxygen-gtk
_______________________________________________________

GTK2_RC_FILES=/usr/local/Zend/gtkrc-2.0 /usr/local/Zend/ZendStudio/ZendStudio

in the file below is a line
########## Oxygen Hacks <h.reindl@thelounge.net> ##############
which imports some oxygen-gtk styles :-)

[harry@rh:~]$ cat /usr/local/Zend/gtkrc-2.0
# created by KDE, Do. Jan 23 10:17:32 2014
#
# If you do not want KDE to override your GTK settings, select
# Appearance -> Colors in the System Settings and disable the checkbox
# "Apply colors to non-KDE4 applications"
#
#

gtk-alternative-button-order = 1
gtk-fallback-icon-theme = "gnome"

style "default"
{
  bg[NORMAL] = { 0.839, 0.824, 0.816 }
  bg[SELECTED] = { 0.263, 0.675, 0.910 }
  bg[INSENSITIVE] = { 0.839, 0.824, 0.816 }
  bg[ACTIVE] = { 0.702, 0.671, 0.655 }
  bg[PRELIGHT] = { 0.839, 0.824, 0.816 }

  base[NORMAL] = { 1.000, 1.000, 1.000 }
  base[SELECTED] = { 0.263, 0.675, 0.910 }
  base[INSENSITIVE] = { 0.839, 0.824, 0.816 }
  base[ACTIVE] = { 0.263, 0.675, 0.910 }
  base[PRELIGHT] = { 0.263, 0.675, 0.910 }

  text[NORMAL] = { 0.122, 0.110, 0.106 }
  text[SELECTED] = { 1.000, 1.000, 1.000 }
  text[INSENSITIVE] = { 0.702, 0.671, 0.655 }
  text[ACTIVE] = { 1.000, 1.000, 1.000 }
  text[PRELIGHT] = { 1.000, 1.000, 1.000 }

  fg[NORMAL] = { 0.133, 0.122, 0.118 }
  fg[SELECTED] = { 1.000, 1.000, 1.000 }
  fg[INSENSITIVE] = { 0.702, 0.671, 0.655 }                                                                                                                                                                        
  fg[ACTIVE] = { 0.133, 0.122, 0.118 }                                                                                                                                                                             
  fg[PRELIGHT] = { 0.133, 0.122, 0.118 }                                                                                                                                                                           
}                                                                                                                                                                                                                  
                                                                                                                                                                                                                   
class "*" style "default"                                                                                                                                                                                          
                                                                                                                                                                                                                   
style "ToolTip"                                                                                                                                                                                                    
{                                                                                                                                                                                                                  
  bg[NORMAL] = { 0.839, 0.824, 0.816 }                                                                                                                                                                             
  base[NORMAL] = { 1.000, 1.000, 1.000 }                                                                                                                                                                           
  text[NORMAL] = { 0.122, 0.110, 0.106 }                                                                                                                                                                           
  fg[NORMAL] = { 0.133, 0.122, 0.118 }                                                                                                                                                                             
}                                                                                                                                                                                                                  

widget "gtk-tooltip" style "ToolTip"
widget "gtk-tooltips" style "ToolTip"

style "MenuItem"
{
  bg[PRELIGHT] = { 0.263, 0.675, 0.910 }
}

class "*MenuItem" style "MenuItem"




########## Oxygen Hacks <h.reindl@thelounge.net> ##############

# menuitems padding
style "oxygen-menubar" = "oxygen-default"
{
    xthickness = 1
    ythickness = 1
}

class "GtkMenuBar" style "oxygen-menubar"

# menuitems padding
style "oxygen-menubaritem" = "oxygen-default"
{
    xthickness = 3
    ythickness = 2
}

style "oxygen-menuitem" = "oxygen-default"
{
    xthickness = 1
    ythickness = 5
}

style "oxygen-separator-menuitem" = "oxygen-default"
{
    xthickness = 1
    ythickness = 1
}

class "GtkMenuItem" style "oxygen-menubaritem"
widget_class "*<GtkMenu>.<GtkMenuItem>" style "oxygen-menuitem"
widget_class "*<GtkMenu>.<GtkSeparatorMenuItem>" style "oxygen-separator-menuitem"

# toolbuttons with menu
style "oxygen-menutoolbutton" = "oxygen-default"
{
    xthickness=1
    ythickness=1
    GtkButton::focus-padding=0
    GtkWidget::focus-line-width=0
}

class "*GtkMenuToolButton" style "oxygen-menutoolbutton"
widget_class "*.GtkMenuToolButton.*Box.GtkToggleButton" style "oxygen-menutoolbutton"

Comment 4 Fedora End Of Life 2015-05-29 10:36:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 14:37:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.